/**************************************************************************
 * HeXHub Winamp Plugin Copyright (C) 2007-2008 Mikhail Polenin           *
 * HeXHub is Copyright(C) Albu Cristian Laurentiu                         *
 * This plugin is licensed under the Open Software License 3.0            *
 * Please read the license before making a modification to this plugin.   *
 * Failure to follow the terms of the license will have severe            *
 * consequences                                                           *
 **************************************************************************/

#include "HeXHubSDK.h"
#include <string>
#include <sstream>

#define memcpywithnull(dst, src, size) memcpy(dst, src, size); dst[size] = NULL;

struct listitem {
	listitem *next;
	char str[400];
	listitem(){
		next=NULL;
	}
};

class chatlist {
public:
	BOOL Remove(char *str);
	BOOL Add(char *str);
	BOOL Find(char *str);
	BOOL Clear();
	listitem *Previous(listitem *idx);
	chatlist();
	~chatlist();
	listitem *first;
	listitem *last;
	CRITICAL_SECTION cs;
	BOOL LoadConfig();
	BOOL SaveConfig();
};